Karia
ReferencesOpenapiOrigination

List deal comments

GET
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/comment

List comments on an origination deal in the specified organisation and workspace, with pagination.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
dealId*string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 100
Default25

Response Body

Successful response

application/json
  1. response
items*array<>
pagination*
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/comment'
Example Response
{  "items": [    {      "id": "string",      "organisationId": 0,      "workspaceId": 0,      "dealId": 0,      "comment": "string",      "createdAt": "string",      "createdBy": "string",      "lastUpdatedAt": "string",      "lastUpdatedBy": "string",      "deletedAt": "string"    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0  }}